package com.perforce.p4simulink.ui;

/**
 * Copyright (C) 2014 Perforce Software. All rights reserved.
 *
 * Please see LICENSE.txt in top-level folder of this distribution.
 */

import java.util.ArrayList;
import java.util.List;

import javax.swing.JTextField;

public class P4DepotPathPane extends P4Pane {

	private JTextField depotPath = new JTextField("");

	public P4DepotPathPane(String depotPath) {
		if (depotPath != null) {
			this.depotPath.setText(depotPath);
		}
	}

	public Object[] getFields() {
		List<Object> fields = new ArrayList<>();
		fields.add("Depot Path: ");
		fields.add(depotPath);

		return fields.toArray();
	}

	public String getDepotPath() {
		return depotPath.getText();
	}
}
